<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2011 - Edyta PRZYMUS
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="cdt2_remove_points"><info><pubdate>November 2005</pubdate></info><refnamediv><refname>cdt2_remove_points</refname><refpurpose> Remove the existante points from cdt2. </refpurpose></refnamediv>
  
   
  
   
  
   
  
   
  
   
  
   <refsynopsisdiv><title>Calling Sequence</title><synopsis>cdt2_remove_points(ptr,x,y);</synopsis></refsynopsisdiv>
  
   <refsection><title>Parameters</title>
  
      <variablelist>
    
         <varlistentry>
      
            <term>x , y</term>
      
            <listitem>
        : are vectors of coordinates of points to remove from cdt2.
      </listitem>
    
         </varlistentry>
        
         <varlistentry>
            
            <term>ptr</term>
            
            <listitem>
                : is a pointer representing cdt2.
            </listitem>
    
         </varlistentry>
  
      </variablelist>
  
   </refsection>
  
   <refsection><title>Description</title>
    
      <para>
    Given a pointer ptr of cdt2, cdt2_remove_points(ptr,x,y) removes (x,y) points from cdt2.
        All points of (x,y) points that are incidents to the constraint edges will not be removed.
    </para>
  
   </refsection>
  
   <refsection><title>Examples</title><programlisting role="example"><![CDATA[

x = [5 1 6];
y = [2 6 6];
new_x = [2 4 5 5];
new_y = [6 7 8 1];
[tri,ptr] = constrained_delaunay_2(x,y,[])
cdt2_insert_points(ptr,new_x,new_y);
tri2 = cdt2_get_connectivity(ptr)
cdt2_remove_points(ptr,new_x,new_y);
tri3 = cdt2_get_connectivity(ptr)
cdt2_delete(ptr,"ptr");
 
  ]]></programlisting></refsection>
  
   <refsection><title>See Also</title><simplelist type="inline">
    
      <member>
         <link linkend="cdt2_insert_constraints">cdt2_insert_constraints</link>
      </member>
    
      <member>
         <link linkend="cdt2_remove_constraints">cdt2_remove_constraints</link>
      </member>
    
      <member>
         <link linkend="cdt2_insert_points">cdt2_insert_points</link>
      </member>
    
      <member>
         <link linkend="cdt2_get_coord">cdt2_get_coord</link>
      </member>
    
      <member>
         <link linkend="cdt2_get_connectivity">cdt2_get_connectivity</link>
      </member>
    
      <member>
         <link linkend="cdt2_delete">cdt2_delete</link>
      </member>
  
   </simplelist></refsection>

   <para>
This function uses the Triangulation_2 package of CGAL, which is under QPL license. See <ulink url="http://www.cgal.org/index2.html">License Terms</ulink>

   </para> 
  
   <refsection><title>Authors</title><simplelist type="vert">
    
      <member>Naceur MESKINI.</member>
  
   </simplelist></refsection>

</refentry>
